### Method

# Atspi Component get_accessible_at_point

#### Declaration [src]

    AtspiAccessible*
    atspi_component_get_accessible_at_point (
      AtspiComponent* obj,
      gint x,
      gint y,
      AtspiCoordType ctype,
      GError** error
    )

#### Description [src]

Gets the accessible child at a given coordinate within an `AtspiComponent`.

#### Parameters

`x`

  Type: `gint`

  A #gint specifying the x coordinate of the point in question.

`y`

  Type: `gint`

  A #gint specifying the y coordinate of the point in question.

`ctype`

  Type: `AtspiCoordType`

  The coordinate system of the point (`x`, `y`) (e.g. ATSPI_COORD_TYPE_WINDOW, ATSPI_COORD_TYPE_SCREEN).

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `AtspiAccessible`

A pointer to an `AtspiAccessible` child of the specified component which contains the point (`x`, `y`), or NULL if no child contains the point.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.